# TableDelete::execute

(No version information available, might only be in Git)

TableDelete::execute — Execute delete query

### Description

public mysql_xdevapi\TableDelete::execute ( void ) : mysql_xdevapi\Result

Execute the delete query.

### Parameters

This function has no parameters.

### Return Values

A Result object.

### Examples

Example #1 mysql_xdevapi\TableDelete::execute() example

`<?php
$session = mysql_xdevapi\getSession("mysqlx://user:password@localhost");
$session->sql("DROP DATABASE IF EXISTS addressbook")->execute();
$session->sql("CREATE DATABASE addressbook")->execute();
$session->sql("CREATE TABLE addressbook.names(name text, age int)")->execute();
$session->sql("INSERT INTO addressbook.names values ('John', 42), ('Sam', 33)")->execute();
$schema = $session->getSchema("addressbook");
$table = $schema->getTable("names");
$table->delete()
->where("name = :name")
->bind(['name' => 'John'])
->orderby("age DESC")
->limit(1)
->execute();
?>`